# 36. Mutacija: dodaj več »Comments« izbranim »Notes«

Ta mutacija vam omogoča dodajanje več komentarjev izbranemu zapisku.

{% hint style="success" %}
Največje število komentarjev za shranjevanje je 25.
{% endhint %}

* Komentar je mogoče povezati s poljem prek njegovega edinstvenega identifikatorja `fieldUuid` in z opombo prek `noteUuid`.
* Vsebino komentarja je mogoče vnesti z uporabo `besedilo` atributa. Če mora biti vsebina večvrstična, naj atribut `besedilo` vsebuje niz z znaki za novo vrstico `\\n` za ločevanje vrstic. Na primer: `"Prva vrstica je tukaj\\nDruga vrstica je tukaj.\\nTretja vrstica je tukaj."`.
* Možno je določiti tudi datumski čas, povezan s komentarjem, z uporabo `datumUstvarjanja` atributa v formatu ISO8601.

Vzorčni zahtevek najdete spodaj:

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutacija BatchAddNoteComments {
  addNoteComments(input:{
    komentarji: [
      {
        noteUuid: "53547188-f37c-4d65-9733-f7de4be28e5b",
        fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
        besedilo: "4. komentar iz večih.",
        createdDate: "2020-08-25T06:06:06.000Z"
      }, 
      {
        noteUuid: "53547188-f37c-4d65-9733-f7de4be28e5b",
        fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
        besedilo: "5. komentar iz večih.\\nDruga vrstica komentarja.",
        datumUstvarjanja: "2020-08-25T06:06:07.000Z"
      }
    ]
  }) {
    uuid
    fieldUuid
    noteUuid
    datumUstvarjanja
    updatedDate
    besedilo
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/svn/api-dokumentacija/pregled-zahtevkov-geopard-api/opombe-zatici/36.-mutacija-dodaj-vec-comments-izbranim-notes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
